#! /bin/ksh
# @ job_type=parallel
# @ class = Parallel     
# @ output = ivp.$(host).$(jobid).$(stepid).out
# @ error =  ivp.$(host).$(jobid).$(stepid).err
# @ restart = no
# @ requirements = ((OpSys == "AIX53") || (OpSys == "Linux2"))
# @ node = 2
# @ total_tasks = 6
# @ queue

# Make sure that the binary ll_get_machine_list is accessible on all machines in cluster.

/common/lltest/bin/ll_get_machine_list > machine_list.$$
num_tasks=`cat machine_list.$$ | wc -l`
if [[ $num_tasks -le 0 ]]
then
   echo "$0: ll_get_machine_list is unable to create a machinefile."
   echo "$0: Make sure that the binary ll_get_machine_list is accessible to all machines in the cluster."
   exit 1
fi

/opt/osshpc/mpich-1.2.5/bin/mpirun -np $num_tasks -machinefile machine_list.$$ ivp   
# rm machine_list.$$
